comparison configure @ 94615:a0615a586d39

Merge from emacs--rel--22 Revision: emacs@sv.gnu.org/emacs--devo--0--patch-1142
author Miles Bader <miles@gnu.org>
date Sun, 04 May 2008 19:46:16 +0000
parents 296d148bd40b 6452b45858e3
children b1e12a239f2b
comparison
equal deleted inserted replaced
94614:b333cf3be3cc 94615:a0615a586d39
15018 15018
15019 cat >>confdefs.h <<\_ACEOF 15019 cat >>confdefs.h <<\_ACEOF
15020 #define HAVE_CARBON 1 15020 #define HAVE_CARBON 1
15021 _ACEOF 15021 _ACEOF
15022 15022
15023
15024 for ac_header in AvailabilityMacros.h
15025 do
15026 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
15027 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
15028 { echo "$as_me:$LINENO: checking for $ac_header" >&5
15029 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
15030 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
15031 echo $ECHO_N "(cached) $ECHO_C" >&6
15032 fi
15033 ac_res=`eval echo '${'$as_ac_Header'}'`
15034 { echo "$as_me:$LINENO: result: $ac_res" >&5
15035 echo "${ECHO_T}$ac_res" >&6; }
15036 else
15037 # Is the header compilable?
15038 { echo "$as_me:$LINENO: checking $ac_header usability" >&5
15039 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
15040 cat >conftest.$ac_ext <<_ACEOF
15041 /* confdefs.h. */
15042 _ACEOF
15043 cat confdefs.h >>conftest.$ac_ext
15044 cat >>conftest.$ac_ext <<_ACEOF
15045 /* end confdefs.h. */
15046 $ac_includes_default
15047 #include <$ac_header>
15048 _ACEOF
15049 rm -f conftest.$ac_objext
15050 if { (ac_try="$ac_compile"
15051 case "(($ac_try" in
15052 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
15053 *) ac_try_echo=$ac_try;;
15054 esac
15055 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
15056 (eval "$ac_compile") 2>conftest.er1
15057 ac_status=$?
15058 grep -v '^ *+' conftest.er1 >conftest.err
15059 rm -f conftest.er1
15060 cat conftest.err >&5
15061 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15062 (exit $ac_status); } && {
15063 test -z "$ac_c_werror_flag" ||
15064 test ! -s conftest.err
15065 } && test -s conftest.$ac_objext; then
15066 ac_header_compiler=yes
15067 else
15068 echo "$as_me: failed program was:" >&5
15069 sed 's/^/| /' conftest.$ac_ext >&5
15070
15071 ac_header_compiler=no
15072 fi
15073
15074 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
15075 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
15076 echo "${ECHO_T}$ac_header_compiler" >&6; }
15077
15078 # Is the header present?
15079 { echo "$as_me:$LINENO: checking $ac_header presence" >&5
15080 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
15081 cat >conftest.$ac_ext <<_ACEOF
15082 /* confdefs.h. */
15083 _ACEOF
15084 cat confdefs.h >>conftest.$ac_ext
15085 cat >>conftest.$ac_ext <<_ACEOF
15086 /* end confdefs.h. */
15087 #include <$ac_header>
15088 _ACEOF
15089 if { (ac_try="$ac_cpp conftest.$ac_ext"
15090 case "(($ac_try" in
15091 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
15092 *) ac_try_echo=$ac_try;;
15093 esac
15094 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
15095 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
15096 ac_status=$?
15097 grep -v '^ *+' conftest.er1 >conftest.err
15098 rm -f conftest.er1
15099 cat conftest.err >&5
15100 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15101 (exit $ac_status); } >/dev/null && {
15102 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
15103 test ! -s conftest.err
15104 }; then
15105 ac_header_preproc=yes
15106 else
15107 echo "$as_me: failed program was:" >&5
15108 sed 's/^/| /' conftest.$ac_ext >&5
15109
15110 ac_header_preproc=no
15111 fi
15112
15113 rm -f conftest.err conftest.$ac_ext
15114 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
15115 echo "${ECHO_T}$ac_header_preproc" >&6; }
15116
15117 # So? What about this header?
15118 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
15119 yes:no: )
15120 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
15121 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
15122 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
15123 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
15124 ac_header_preproc=yes
15125 ;;
15126 no:yes:* )
15127 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
15128 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
15129 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
15130 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
15131 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
15132 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
15133 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
15134 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
15135 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
15136 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
15137 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
15138 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
15139
15140 ;;
15141 esac
15142 { echo "$as_me:$LINENO: checking for $ac_header" >&5
15143 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
15144 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
15145 echo $ECHO_N "(cached) $ECHO_C" >&6
15146 else
15147 eval "$as_ac_Header=\$ac_header_preproc"
15148 fi
15149 ac_res=`eval echo '${'$as_ac_Header'}'`
15150 { echo "$as_me:$LINENO: result: $ac_res" >&5
15151 echo "${ECHO_T}$ac_res" >&6; }
15152
15153 fi
15154 if test `eval echo '${'$as_ac_Header'}'` = yes; then
15155 cat >>confdefs.h <<_ACEOF
15156 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
15157 _ACEOF
15158
15159 fi
15160
15161 done
15162
15023 ## Specify the install directory 15163 ## Specify the install directory
15024 carbon_appdir= 15164 carbon_appdir=
15025 if test "${carbon_appdir_x}" != ""; then 15165 if test "${carbon_appdir_x}" != ""; then
15026 case ${carbon_appdir_x} in 15166 case ${carbon_appdir_x} in
15027 y | ye | yes) carbon_appdir=/Applications ;; 15167 y | ye | yes) carbon_appdir=/Applications ;;